ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitalyi Brodetskyi" <vbrodets...@hortonworks.com>
Subject Review Request 37755: Problem with upgradehelper.py and https option
Date Tue, 25 Aug 2015 09:56:05 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/37755/
-----------------------------------------------------------

Review request for Ambari, Andrew Onischuk and Dmitro Lisnichenko.


Bugs: AMBARI-12869
    https://issues.apache.org/jira/browse/AMBARI-12869


Repository: ambari


Description
-------

The code should be changed from store_false to store_true in order for the --https cli-opt
to work:
FROM: 
parser.add_option('--https', default=False, action="store_false", dest="https", help="Use
https protocol for connection to the server")
TO: 
parser.add_option('--https', default=False, action="store_true", dest="https", help="Use https
protocol for connection to the server")


Diffs
-----

  ambari-server/src/main/python/upgradeHelper.py 7da5e5f 

Diff: https://reviews.apache.org/r/37755/diff/


Testing
-------

mvn clean test


Thanks,

Vitalyi Brodetskyi


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message